=== debian/changelog ===
openvpn-auth-oauth2 (1.26.2+dfsg-1) unstable; urgency=medium

  * Initial upload to sid (Closes: #1118276).
  * Rebuilding upstream tarball without sourceless favicon.png.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Oct 2025 13:15:14 +0200
