=== debian/control ===
Source: openvpn-auth-oauth2
Section: net
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-golang,
 golang-any,
 golang-github-stretchr-testify-dev,
 golang-github-zitadel-logging-dev,
 golang-github-zitadel-oidc-dev,
 golang-golang-x-net-dev,
 golang-golang-x-oauth2-google-dev,
 golang-golang-x-text-dev,
 golang-gopkg-yaml.v3-dev (>= 3.0.4),
Standards-Version: 4.7.2
Homepage: https://github.com/jkroepke/openvpn-auth-oauth2
Vcs-Browser: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
Vcs-Git: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
Testsuite: autopkgtest-pkg-go
XS-Go-Import-Path: github.com/jkroepke/openvpn-auth-oauth2

Package: openvpn-auth-oauth2
Section: net
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Static-Built-Using:
 ${misc:Static-Built-Using},
Description: virtual private network daemon (OAuth2 plugin)
 OpenVPN is an application to securely tunnel IP networks over a
 single UDP or TCP port. It can be used to access remote sites, make
 secure point-to-point connections, enhance wireless security, etc.
 .
 openvpn-auth-oauth2 is a management client for OpenVPN that handles the single
 sign-on (SSO) authentication against various OIDC providers.
 .
 It integrates OpenVPN with OIDC providers such as:
 .
   * Microsoft Entra ID (Azure AD)
   * GitHub
   * Okta
   * Google Workspace
   * Authentik
   * Zitadel
   * DigitalOcean
   * Keycloak
   * ...any other OIDC compatible auth server
