=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@} --builddirectory=_build --buildsystem=golang

execute_before_dh_auto_build:
	mkdir -p _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui
	cp -a internal/ui/index.gohtml _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui

	mkdir -p _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets
	cp -a internal/ui/assets/i18n _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets
	cp -a internal/ui/assets/*.css _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets
	cp -a internal/ui/assets/*.js _build/src/github.com/jkroepke/openvpn-auth-oauth2/internal/ui/assets

override_dh_auto_test:
	# disabled, needs additional packages

override_dh_auto_install:
	dh_auto_install -- --no-source
