## openvpn-auth-oauth2 1.26.4+dfsg

=== Makefile ===
--- 
+++ 
@@ -67,19 +67,19 @@
 fmt:
 	@-go fmt ./...
 	@-go run github.com/daixiang0/gci@v0.13.7 write .
-	@-go run mvdan.cc/gofumpt@v0.9.1 -l -w .
-	@-go run golang.org/x/tools/cmd/goimports@v0.38.0 -l -w .
+	@-go run mvdan.cc/gofumpt@v0.9.2 -l -w .
+	@-go run golang.org/x/tools/cmd/goimports@v0.39.0 -l -w .
 	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.3.0 -fix ./...
-	@-go run github.com/catenacyber/perfsprint@v0.9.1 --fix ./...
+	@-go run github.com/catenacyber/perfsprint@v0.10.1 --fix ./...
 	@-go run github.com/tetafro/godot/cmd/godot@v1.4.20 -w .
 	@-go run github.com/4meepo/tagalign/cmd/tagalign@v1.4.3 -fix -sort ./...
-	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.38.0 -test=false -fix ./...
-	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.5.0 run ./...
+	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.39.0 -test=false -fix ./...
+	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
 
 .PHONY: golangci
 golangci:
-	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.5.0 run ./...
+	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
 
 .PHONY: 3rdpartylicenses
 3rdpartylicenses:
-	@go run github.com/google/go-licenses/v2@v2.0.1 save . --save_path=3rdpartylicenses
+	@go run github.com/google/go-licenses/v2@v2.0.1 save ./cmd/openvpn-auth-oauth2 --save_path=3rdpartylicenses
