=== debian/changelog ===
openvpn-auth-oauth2 (1.26.4+dfsg-6) unstable; urgency=medium

  * Using dh_golang install extra variable rather than manually copying
    files into build directory, thanks to Andrew Lee <ajqlee@debian.org>.
  * Building experimental openvpn native plugin.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2026 17:43:25 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-5) unstable; urgency=medium

  * Starting openvpn-auth-oauth2 services only when configs exist.
  * Moving default config file to examples, so openvpn-auth-oauth2 doesn't
    start by default.

 -- Daniel Baumann <daniel@debian.org>  Mon, 12 Jan 2026 10:00:53 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-4) unstable; urgency=medium

  * Updating httpmux.patch description.
  * Updating to standards version 4.7.3.
  * Wrap and sorting debian files.
  * Updating years in copyright for 2026.
  * Removing defaults file in favour of daemon specific configuration
    consistency.
  * Adding patch to update executable paths in systemd service file for
    dynamic compiling, thanks to Joanand Kuharajasekaram
    <joanand.kuharajasekaram@bfh.ch>.
  * Adding systemd service template, thanks to Joanand Kuharajasekaram
    <joanand.kuharajasekaram@bfh.ch> and Andrew Lee <ajqlee@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Fri, 09 Jan 2026 10:56:11 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-3) unstable; urgency=medium

  * Adding patch to disable httmux golang 1.21 compat mode, thanks to
    Andrew Lee <ajqlee@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Tue, 23 Dec 2025 13:23:33 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-2) unstable; urgency=medium

  * Adding newly added openvpn-plugin.h to copyright, thanks to Andrew Lee
    <ajqlee@debian.org>.

 -- Daniel Baumann <daniel@debian.org>  Fri, 05 Dec 2025 08:16:18 +0100

openvpn-auth-oauth2 (1.26.4+dfsg-1) unstable; urgency=medium

  * Merging upstream version 1.26.4+dfsg.
  * Building with golang-1.25 due to usage of new waitGroup functions.

 -- Daniel Baumann <daniel@debian.org>  Tue, 02 Dec 2025 08:18:53 +0100
