=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Build-Depends:
  debhelper-compat (= 13),
  dh-sequence-golang,
- golang-any,
+ golang-1.25,
  golang-github-stretchr-testify-dev,
  golang-github-zitadel-logging-dev,
  golang-github-zitadel-oidc-dev,
@@ -13,7 +13,7 @@
  golang-golang-x-oauth2-google-dev,
  golang-golang-x-text-dev,
  golang-gopkg-yaml.v3-dev (>= 3.0.4),
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/jkroepke/openvpn-auth-oauth2
 Vcs-Browser: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
 Vcs-Git: https://forgejo.debian.net/openvpn/openvpn-auth-oauth2
@@ -24,6 +24,7 @@
 Section: net
 Architecture: any
 Depends:
+ ssl-cert,
  ${misc:Depends},
  ${shlibs:Depends},
 Static-Built-Using:
