## openvpn-auth-oauth2 1.27.0

=== Makefile ===
--- 
+++ 
@@ -15,6 +15,9 @@
 
 # Get the GOOS value
 GOOS := $(shell go env GOOS)
+
+# Disable CGO for static binaries
+CGO_ENABLED := 0
 
 # Determine the output file extension based on the GOOS value
 ifeq ($(GOOS),windows)
@@ -54,7 +57,7 @@
 build: clean $(PROJECT_NAME)
 
 $(PROJECT_NAME):
-	@go build -o $(PROJECT_NAME)$(EXT) .
+	@go build -o $(PROJECT_NAME)$(EXT) ./cmd/openvpn-auth-oauth2
 
 .PHONY: test
 test:  ## Test the project
@@ -68,17 +71,18 @@
 	@-go fmt ./...
 	@-go run github.com/daixiang0/gci@v0.13.7 write .
 	@-go run mvdan.cc/gofumpt@v0.9.2 -l -w .
-	@-go run golang.org/x/tools/cmd/goimports@v0.39.0 -l -w .
-	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.3.0 -fix ./...
+	@-go run golang.org/x/tools/cmd/goimports@v0.41.0 -l -w .
+	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.6.0 -fix ./...
 	@-go run github.com/catenacyber/perfsprint@v0.10.1 --fix ./...
 	@-go run github.com/tetafro/godot/cmd/godot@v1.4.20 -w .
 	@-go run github.com/4meepo/tagalign/cmd/tagalign@v1.4.3 -fix -sort ./...
-	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.39.0 -test=false -fix ./...
-	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
+	@-go run github.com/t34-dev/go-field-alignment/v2/cmd/gofield@v2.0.10 --files . -fix
+	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.41.0 -test=false -fix ./...
+	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
 
 .PHONY: golangci
 golangci:
-	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.6.2 run ./...
+	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
 
 .PHONY: 3rdpartylicenses
 3rdpartylicenses:
