=== debian/changelog ===
openvpn-auth-oauth2 (1.27.0-2) unstable; urgency=medium

  * Passing location of the cache directory to fix FTBFS when manually
    building the plugin after the daemon (Closes: #1127974).

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Feb 2026 15:50:24 +0100

openvpn-auth-oauth2 (1.27.0-1) unstable; urgency=medium

  * Merging upstream version 1.27.0.
  * Removing files-excluded in copyright, not needed anymore.
  * Removing exclude-favicon.patch, not needed anymore.
  * Removing httpmux.patch, not needed anymore.
  * Renumbering patches.
  * Adding new build-depends to golang-github-google-cel-go.

 -- Daniel Baumann <daniel@debian.org>  Thu, 19 Feb 2026 10:14:06 +0100
