=== debian/control ===
--- 
+++ 
@@ -6,6 +6,7 @@
  debhelper-compat (= 13),
  dh-sequence-golang,
  golang-1.25,
+ golang-github-google-cel-go-dev (>= 0.27.0),
  golang-github-stretchr-testify-dev,
  golang-github-zitadel-logging-dev,
  golang-github-zitadel-oidc-dev,
