=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 execute_after_dh_auto_build:
 	# plugin
-	go build -buildvcs=false -o _build/openvpn-auth-oauth2.so -buildmode=c-shared ./lib/openvpn-auth-oauth2/
+	GOCACHE=$(CURDIR)/_build/cache go build -buildvcs=false -o _build/openvpn-auth-oauth2.so -buildmode=c-shared ./lib/openvpn-auth-oauth2/
 
 override_dh_auto_test:
 	# disabled, needs additional packages
