=== debian/watch ===
Version: 5

Template: Github
Owner: jkroepke
Project: @PACKAGE@
Dversion-Mangle: auto
