## openvpn-auth-oauth2 1.27.1

=== Makefile ===
--- 
+++ 
@@ -71,18 +71,18 @@
 	@-go fmt ./...
 	@-go run github.com/daixiang0/gci@v0.13.7 write .
 	@-go run mvdan.cc/gofumpt@v0.9.2 -l -w .
-	@-go run golang.org/x/tools/cmd/goimports@v0.41.0 -l -w .
+	@-go run golang.org/x/tools/cmd/goimports@v0.42.0 -l -w .
 	@-go run github.com/bombsimon/wsl/v5/cmd/wsl@v5.6.0 -fix ./...
 	@-go run github.com/catenacyber/perfsprint@v0.10.1 --fix ./...
 	@-go run github.com/tetafro/godot/cmd/godot@v1.4.20 -w .
 	@-go run github.com/4meepo/tagalign/cmd/tagalign@v1.4.3 -fix -sort ./...
 	@-go run github.com/t34-dev/go-field-alignment/v2/cmd/gofield@v2.0.10 --files . -fix
-	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.41.0 -test=false -fix ./...
-	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
+	@-go run golang.org/x/tools/go/analysis/passes/fieldalignment/cmd/fieldalignment@v0.42.0 -test=false -fix ./...
+	@-go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.10.1 run ./...
 
 .PHONY: golangci
 golangci:
-	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.8.0 run ./...
+	@go run github.com/golangci/golangci-lint/v2/cmd/golangci-lint@v2.10.1 run ./...
 
 .PHONY: 3rdpartylicenses
 3rdpartylicenses:
