=== debian/changelog ===
openvpn-auth-oauth2 (1.27.1-1) unstable; urgency=medium

  * Moving dh-golang builddirectory to debian/_build.
  * Harmonizing watch file.
  * Merging upstream version 1.27.1.
  * Updating year in copyright for 2026.

 -- Daniel Baumann <daniel@debian.org>  Tue, 03 Mar 2026 18:41:25 +0100
