=== debian/rules ===
#!/usr/bin/make -f

export GOROOT := /usr/lib/go-1.25
export PATH := /usr/lib/go-1.25/bin:$(PATH)

export DH_GOLANG_INSTALL_EXTRA := internal/ui

%:
	dh ${@} --builddirectory=debian/_build --buildsystem=golang

execute_after_dh_auto_build:
	# plugin
	GOCACHE=$(CURDIR)/debian/_build/cache go build -buildvcs=false -o _build/openvpn-auth-oauth2.so -buildmode=c-shared ./lib/openvpn-auth-oauth2/

override_dh_auto_test:
	# disabled, needs additional packages

override_dh_auto_install:
	dh_auto_install -- --no-source
