=== debian/watch ===
Version: 5

Template: Github
Owner: jkroepke
Project: openvpn-auth-oauth2
Dversion-Mangle: auto
